package com.zanxiang.game.module.base.pojo.dto;

import lombok.Data;

import java.io.Serializable;

/**
 * @author : lingfeng
 * @time : 2024-05-23
 * @description : 游戏信息
 */
@Data
public class GameDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 游戏ID
     */
    private Long id;

    /**
     * 游戏名称
     */
    private String name;

    /**
     * 游戏类型
     */
    private Long category;

    /**
     * 父游戏id
     */
    private Long parentId;

    /**
     * 超父游戏id
     */
    private Long superGameId;
}
